Latest 0.0.4
Homepage https://github.com/duanruiying/DryNavBar
License MIT
Platforms ios 10.0, requires ARC
Dependencies DryCommon
Frameworks UIKit, Foundation
Authors

iOS: 导航栏配置

  • 制作该SDK的目的在于,简化导航栏设置时代码量,尽量实现一句代码实现一个功能;

Prerequisites

  • Xcode 10.2.1
  • iOS 9.0 or later
  • ObjC、Swift 5 or later

Installation

  • pod ‘DryNavBar’

Features

仅标题(数字角标)、仅图片(圆点角标)、左图右文、右图左文、上图下文、 下图上文

背景色、底线

进度

Latest podspec

{
    "name": "DryNavBar",
    "version": "0.0.4",
    "summary": "DryNavBar",
    "homepage": "https://github.com/duanruiying/DryNavBar",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "duanruiying": "[email protected]"
    },
    "source": {
        "git": "https://github.com/duanruiying/DryNavBar.git",
        "tag": "0.0.4"
    },
    "description": "TODO: iOSu5bfcu822au680fu914du7f6e.",
    "swift_versions": "5",
    "platforms": {
        "ios": "10.0"
    },
    "requires_arc": true,
    "user_target_xcconfig": {
        "OTHER_LDFLAGS": [
            "-w"
        ]
    },
    "pod_target_xcconfig": {
        "OTHER_LDFLAGS": [
            "-w"
        ]
    },
    "source_files": "DryNavBar/Classes/Code/**/*",
    "frameworks": [
        "UIKit",
        "Foundation"
    ],
    "dependencies": {
        "DryCommon": []
    },
    "swift_version": "5"
}

Pin It on Pinterest

Share This